Deletes an existing custom role. System roles cannot be deleted. This operation will remove the role and all its associated policies.
DELETE
/
v1
/
organizations
/
{organizationId}
/
roles
/
{roleId}
Delete a role
curl --request DELETE \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Deletes an existing custom role. System roles cannot be deleted. This operation will remove the role and all its associated policies.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested role.
Last modified on August 6, 2026
Was this page helpful?
⌘I
Delete a role
